<template>
  <div>
    <div class="text-titulo q-pa-xs">{{ titulo }}</div>
    <q-card :flat="flat">
      <q-list dense separator>
        <q-item clickable v-ripple v-for="im in dataSet" :key="im.uuid">
          <q-item-section v-if="im.otorgada">
            Otorgada: {{ im.otorgada }}
          </q-item-section>
          <q-item-section v-if="!im.otorgada">
            <span class="text-red">Solicitud Pendiente</span>
          </q-item-section>
          <q-item-section>
            <span v-if="im.otorgada">
              Registro Saac: N°{{ im.nro_registro }}
            </span>
          </q-item-section>
          <q-item-section> {{ im.linea }} </q-item-section>
          <q-item-section>
            <ItemRama :rama="im.rama" />
          </q-item-section>
        </q-item>
      </q-list>
      <Loading :showing="loading" />
    </q-card>
  </div>
</template>

<script lang="ts">
import { InsigniasMaderaInterface } from 'src/interfaces/FormacionInterface';
import { AxiosResponse } from 'axios';
import { api } from 'src/boot/axios/index';
import { defineComponent, ref, onMounted, PropType } from 'vue';
import ItemRama from 'components/Util/ItemRama.vue';
import Loading from 'src/components/Loading.vue';
export default defineComponent({
  name: 'IndexPage',
  components: { Loading, ItemRama },
  props: {
    uuid: {
      type: String as PropType<string>,
      require: true,
    },
    titulo: {
      type: String as PropType<string>,
      default: 'Insignia de Madera',
      require: false,
    },
    flat: {
      type: Boolean as PropType<boolean>,
      default: false,
      require: false,
    },
  },
  setup(props) {
    const loading = ref(true);

    onMounted(() => {
      getIms();
    });

    const dataSet = ref<InsigniasMaderaInterface[]>();
    function getIms() {
      api
        .get('/api/formacion/im/' + props.uuid)
        .then((response: AxiosResponse) => {
          dataSet.value = response.data.data;
          loading.value = false;
        });
    }

    return { loading, dataSet };
  },
});
</script>
